Bug 812810 - /usr/bin/apply_errata fails to obtain correct system_id if checksum contains 10 digits in a row.
/usr/bin/apply_errata fails to obtain correct system_id if checksum contains...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Client (Show other bugs)
550
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Michael Mráka
Jiří Mikulka
: Patch
Depends On:
Blocks: sat550-lowbug
  Show dependency treegraph
 
Reported: 2012-04-16 06:01 EDT by Dimitar Yordanov
Modified: 2014-10-06 09:46 EDT (History)
2 users (show)

See Also:
Fixed In Version: spacewalk-utils-1.7.15-8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-09-21 05:34:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 1 Stephen Herr 2012-04-24 11:36:30 EDT
Basic gist of the original comment is that the regex used in /usr/bin/apply_errata in the getSysId() method should be:

pattern = re.compile(">ID-([0-9]{10})<")

not
pattern = re.compile("[0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9][0-9]")

The latter will pick up the first 10-digit number it finds in the file, which can be something other than the sysId. 

Thanks for the patch Dimitar, committing to Spacewalk master as 8563013e13a6b6166bce4bc6c9e130b5c9d95ba2
Comment 5 Clifford Perry 2012-09-21 05:34:42 EDT
This issue is resolved with the release of RHN Satellite 5.5. 

As of September 20th 2012, RHN Satellite 5.5 has been generally available. 

Release Notes and other 5.5 documentation can be found here:

 https://access.redhat.com/knowledge/docs/Red_Hat_Network_Satellite/

The associated Errata for the 5.5 release are:

5.5 Satellite GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1296.html

5.5 Upgrade Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1298.html

5.5 RHN Proxy GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1297.html

5.5 RHN Tools GA Errata
 - http://rhn.redhat.com/errata/RHEA-2012-1299.html

Regards,
Clifford
- Engineering Manager, Satellite

Note You need to log in before you can comment on or make changes to this bug.